commit:     c10130eb6a60d8d753f495c13ce6981456d9500b
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Feb  1 22:44:54 2022 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Feb  1 22:48:41 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=c10130eb

dev-python/pyserial: Switch to PEP 517 build

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyserial/pyserial-3.5-r1.ebuild | 34 ++++++++++++++++++++++++++++++
 1 file changed, 34 insertions(+)

diff --git a/dev-python/pyserial/pyserial-3.5-r1.ebuild 
b/dev-python/pyserial/pyserial-3.5-r1.ebuild
new file mode 100644
index 000000000000..605d44552619
--- /dev/null
+++ b/dev-python/pyserial/pyserial-3.5-r1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8..10} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Python Serial Port extension"
+HOMEPAGE="https://github.com/pyserial/pyserial 
https://pypi.org/project/pyserial/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="PSF-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv 
~s390 ~sparc ~x86 ~x64-macos"
+IUSE="examples"
+
+DOCS=( CHANGES.rst README.rst )
+
+distutils_enable_sphinx documentation --no-autodoc
+
+python_test() {
+       "${EPYTHON}" test/run_all_tests.py loop:// -v || die "Testing failed 
with ${EPYTHON}"
+}
+
+python_install_all() {
+       distutils-r1_python_install_all
+       if use examples; then
+               dodoc -r examples
+               docompress -x /usr/share/doc/${PF}/examples
+       fi
+}

Reply via email to